Open CASCADE Technology: PDataStd_HArray1OfHArray1OfReal Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
PDataStd_HArray1OfHArray1OfReal Class Reference

`#include <PDataStd_HArray1OfHArray1OfReal.hxx>`

Inheritance diagram for PDataStd_HArray1OfHArray1OfReal:
[legend]

## Public Member Functions
| PDataStd_HArray1OfHArray1OfReal (const Standard_Integer Low, const Standard_Integer Up)
| PDataStd_HArray1OfHArray1OfReal (const Standard_Integer Low, const Standard_Integer Up, const Handle< PColStd_HArray1OfReal > &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
void | SetValue (const Standard_Integer Index, const Handle< PColStd_HArray1OfReal > &Value)
Standard_Integer | Upper () const
Handle< PColStd_HArray1OfReal > | Value (const Standard_Integer Index) const
| PDataStd_HArray1OfHArray1OfReal ()
| PDataStd_HArray1OfHArray1OfReal (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPDataStd_HArray1OfHArray1OfRealLowerBound () const
void | _CSFDB_SetPDataStd_HArray1OfHArray1OfRealLowerBound (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPDataStd_HArray1OfHArray1OfRealUpperBound () const
void | _CSFDB_SetPDataStd_HArray1OfHArray1OfRealUpperBound (const Standard_Integer p)
const PDataStd_FieldOfHArray1OfHArray1OfReal & | _CSFDB_GetPDataStd_HArray1OfHArray1OfRealData () const
Public Member Functions inherited from Standard_Persistent
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const

## Constructor & Destructor Documentation

PDataStd_HArray1OfHArray1OfReal::PDataStd_HArray1OfHArray1OfReal | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

PDataStd_HArray1OfHArray1OfReal::PDataStd_HArray1OfHArray1OfReal | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle< PColStd_HArray1OfReal > & | V
| ) |  |

PDataStd_HArray1OfHArray1OfReal::PDataStd_HArray1OfHArray1OfReal | ( |  | ) |
| inline

PDataStd_HArray1OfHArray1OfReal::PDataStd_HArray1OfHArray1OfReal | ( | const Storage_stCONSTclCOM & | a | ) |
| inline

## Member Function Documentation

const PDataStd_FieldOfHArray1OfHArray1OfReal& PDataStd_HArray1OfHArray1OfReal::_CSFDB_GetPDataStd_HArray1OfHArray1OfRealData | ( |  | ) | const
| inline

Standard_Integer PDataStd_HArray1OfHArray1OfReal::_CSFDB_GetPDataStd_HArray1OfHArray1OfRealLowerBound | ( |  | ) | const
| inline

Standard_Integer PDataStd_HArray1OfHArray1OfReal::_CSFDB_GetPDataStd_HArray1OfHArray1OfRealUpperBound | ( |  | ) | const
| inline

void PDataStd_HArray1OfHArray1OfReal::_CSFDB_SetPDataStd_HArray1OfHArray1OfRealLowerBound | ( | const Standard_Integer | p | ) |
| inline

void PDataStd_HArray1OfHArray1OfReal::_CSFDB_SetPDataStd_HArray1OfHArray1OfRealUpperBound | ( | const Standard_Integer | p | ) |
| inline

Standard_Integer PDataStd_HArray1OfHArray1OfReal::Length | ( |  | ) | const

Standard_Integer PDataStd_HArray1OfHArray1OfReal::Lower | ( |  | ) | const

void PDataStd_HArray1OfHArray1OfReal::SetValue | ( | const Standard_Integer | Index,
|  | const Handle< PColStd_HArray1OfReal > & | Value
| ) |  |

Standard_Integer PDataStd_HArray1OfHArray1OfReal::Upper | ( |  | ) | const

Handle< PColStd_HArray1OfReal > PDataStd_HArray1OfHArray1OfReal::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- PDataStd_HArray1OfHArray1OfReal.hxx